<style>
	.tdAcciones{
		width:70px !important;
	}
	
	.tdSemaforos{
		width:100px !important;
	}
</style>
<div>
	<form id="MSCAVE01001">
		<input type="hidden" class="date" name="date" id="date"/>
		<input type="hidden" class="money" name="money" id="money"/>
		<hr>
		<div>
			<div>
				<div>
					<table width="100%">
						<tr>
							<td style="text-align:left;border:0px;">
								<label class="control-label">
									Casos por asignar
								</label>
							</td>
							<td style="text-align:right;background:linear-gradient(#0079c1, #00559d);padding-right:10px;padding-top:5px;width:170px;border-top-left-radius: 4px;border-top-right-radius: 4px;">
								<label class="control-label" style="color:white;">
									Casos Seleccionados: <span id="numSelCasosPorAsignar">0</span>
								</label>
							</td>
						</tr>
					</table>
				</div>
			</div>
			<div class="table-responsive">
				<table class="table table-nonfluid" id="tablaCasosPorAsignar" data-detail-view="true" data-detail-formatter="formatterDetailCasosPorAsignar" data-search="false">
					<thead>
						<tr>
							<th class="tdSelect" data-formatter="checkFormatterCasosPorAsignar"><input type="checkbox" name="checkAllCasosPorAsignar" id="checkAllCasosPorAsignar" onChange="checkAll('checkCasosPorAsignar',this);validarCasosPorAsignar();"/><label for="checkAllCasosPorAsignar"></label></th>
							<th data-field="nuFolioAlerta" data-sortable="true" data-visible="false">Folio Alerta</th>
							<th data-field="nuCliente" data-sortable="true">No. Cliente</th>
							<th data-field="nbCliente" data-sortable="true">Nombre</th>
							<th data-field="nuCuenta" data-sortable="true" data-visible="false">Cuenta</th>
							<th data-field="fhAlerta" data-sortable="true" data-formatter="formatterDate" data-visible="false">Fecha Alerta</th>
							<th data-field="fhEnvio" data-sortable="true" data-formatter="formatterDate">Fecha Env&iacute;o</th>
							<th class="tdSemaforos" data-field="fhVenLibSia" data-sortable="true" data-formatter="formatterVencimientoLiberacionSIA" title="Fecha Vencimiento Liberaci&oacute;n SIA">Fecha VL SIA</th>
							<th data-field="nbSistema" data-sortable="true" data-visible="false">Sistema Origen</th>
							<th data-field="cdSistema" data-sortable="true" data-visible="false">Sistema Origen</th>
							<th data-field="cdTipologia" data-sortable="true">Tipolog&iacute;a</th>
							<th data-field="nbSegmento" data-sortable="true">Segmento PLD</th>
							<th data-field="imAlerta" data-sortable="true" data-formatter="formatterMoney">Importe</th>
							<th data-field="cdDivisa" data-sortable="true">Divisa</th>
							<th data-field="nbPeriodo" data-sortable="true" data-visible="false">Periodo</th>
							<th class="tdAcciones" data-field="acciones" data-events="actionEvents" data-formatter="formatterRegistroCasosPorAsignar"></th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
		<table class="tableForm">
			<tr>
				<td style="text-align:right;padding-top:10px;">
					<button id="btnAsignar" name="btnAsignar" class="btn btn-primary btn-sm btn-100" type="button" onclick="abrirModalFormConsultor('Asignaci&oacute;n de Alertas','AS');" disabled>Asignar</button>
					<button id="btnDescartar" name="btnDescartar" class="btn btn-primary btn-sm btn-100" type="button" onclick="abrirModalConfirm();" disabled>Descartar</button>
				</td>
			</tr>
		</table>
		<hr>
		<table class="tableForm">
			<tr style="height: 30px !important;">
				<td style="text-align:left;padding-top:10px;">
					<label class="control-label" for="campo_tipo_comite">Casos asignados a:</label>
				</td>
			</tr>
			<tr>
				<td style="text-align:left;">
					<select name="cmbConsultores" id="cmbConsultores" onChange="selectedConsultor();" style="width:300px;">
						<option value="-1" selected>--Seleccione--</option>
  					</select>
				</td>
			</tr>
		</table>
		<br/>
		<div>
			<div class="table-responsive">
				<table class="table table-nonfluid" id="tablaCasosAsignados" data-detail-view="true" data-detail-formatter="formatterDetailCasosAsignados">
					<thead>
						<tr>
							<th class="tdSelect" data-field="stCasoAsignado" data-formatter="checkFormatterCasosAsignados"><input type="checkbox" name="checkAllCasosAsignados" id="checkAllCasosAsignados" onChange="checkAll('checkCasoAsignado',this);validarCasosAsignados();"/><label for="checkAllCasosAsignados"></label></th>
							<th data-field="cdCaso" data-sortable="true">Caso</th>
							<th data-field="nuFolioAlerta" data-sortable="true">Folio Alerta</th>
							<th data-field="nuCliente" data-sortable="true">No. Cliente</th>
							<th data-field="nbCliente" data-sortable="true" data-formatter="formatterRegistroNombre">Nombre</th>
							<th data-field="nuCuenta" data-sortable="true">Cuenta</th>
							<th data-field="cdTipologia" data-sortable="true">Tipolog&iacute;a</th>
							<th data-field="nbSistema" data-sortable="true" data-visible="false">Sistema Origen</th>
							<th data-field="cdSistema" data-sortable="true" data-visible="false">Sistema Origen</th>
							<th data-field="nbSegmento" data-sortable="true" data-visible="false">Segmento PLD</th>
							<th data-field="fhAsignacion" data-sortable="true" data-formatter="formatterDate" data-visible="false">Fecha de Asignaci&oacute;n</th>
							<th data-field="nbPrioriAsig" data-sortable="true" data-visible="false">Prioridad</th>
							<th data-field="fhEnvio" data-sortable="true" data-visible="false">Fecha de Env&iacute;o</th>
							<th data-field="fhLimRepAutA" data-sortable="true" data-visible="false">Fecha L&iacute;mite Reporte Autoridad A</th>
							<th data-field="fhLimRepAutB" data-sortable="true" data-visible="false">Fecha L&iacute;mite Reporte Autoridad B</th>
							<th class="tdSemaforos" data-field="fhVenRev" data-sortable="true" data-formatter="formatterVencimientoRevision" title="Fecha Vencimiento Revisi&oacute;n">Fecha VR</th>
							<th class="tdSemaforos" data-field="fhVenLibSia" data-sortable="true" data-formatter="formatterVencimientoLiberacionSIA" title="Fecha Vencimiento Liberaci&oacute;n SIA">Fecha VL SIA</th>
							<th class="tdSemaforos" data-field="fhRepAut" data-sortable="true" data-formatter="formatterVencimientoReporte" title="Fecha Vencimiento Reporte Autoridad">Fecha VRA</th>
							<th class="tdAcciones" data-field="acciones" data-events="actionEvents" data-formatter="formatterRegistroCasosAsignados"></th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
		<table class="tableForm">
			<tr>
				<td style="text-align:right;padding-top:10px;">
					<button id="btnReasignar" name="btnReasignar" class="btn btn-primary btn-sm btn-100" type="button" onclick="abrirModalFormConsultor('Reasignar Alertas','RE');" disabled>Reasignar</button>
				</td>
			</tr>
		</table>
	</form>
</div>
<br/>
<div class="modal fade" id="dialogComfirm">
	<form id="formDescartar">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left" style="width:800px;">
	    	<div class="modal-body">
	        	<p>Estimado usuario, Indique el motivo por el cual desea descartar la(s) alerta(s) seleccionada(s).</p>
	        	<br/>
      			<select class="tl" name="cOperacion" id="cOperacion">
      				<option value="-1" selected>--Seleccione--</option>
      			</select>
	      	</div>
      		<div class="modal-footer">
		        <button type="button" class="btn btn-primary btn-100" data-dismiss="modal" data-dismiss="modal">Cancelar</button>
		        <button type="button" id="btnOk" class="btn btn-primary btn-100" data-dismiss="modal">Aceptar</button>
		     </div>
    	</div>
  	</div>
  	</form>
</div>
<div class="modal fade" id="dialogFormConsultor">
	<form id="formConsultor">
	<div class="modal-dialog" align="center">
    	<div class="modal-content" align="left" style="width:800px;">
    		<div class="modal-header" style="height:50px;">
		        <button type="button" class="close" data-dismiss="modal">&times;</button>
		        <h4 class="modal-title" id="titleFormConsiltor"></h4>
	      	</div>
      		<div class="modal-body">
      			<label for="cmbPrioridad">Prioridad</label>
      			<select class="ts" name="cmbPrioridad" id="cmbPrioridad">
      				<option value="-1" selected>--Seleccione--</option>
				</select>
				<br/>
				<table class="table table-nonfluid" id="tablaConsultores" data-search="false">
					<thead>
						<tr>
							<th class="tdSelect" data-field="stSelected" data-formatter="formatterRadioConsultores"></th>
							<th data-field="cdUsuario" data-sortable="true" data-visible="false"></th>
							<th data-field="nbPersona" data-sortable="true" data-formatter="formatterNombreConsultor">Consultor</th>
							<th data-field="nbPaterno" data-sortable="true" data-visible="false"></th>
							<th data-field="nbMaterno" data-sortable="true" data-visible="false"></th>
							<th data-field="nuPrioriAsigNormal" data-sortable="true">Asignaci&oacute;n Normal</th>
							<th data-field="nuPrioriAsigUrgente" data-sortable="true">Asignaci&oacute;n Urgente</th>
							<th data-field="nuStAlertaAnalisis" data-sortable="true">En An&aacute;lisis</th>
							<th data-field="nuStAlertaSupervision" data-sortable="true">En Supervisi&oacute;n</th>
						</tr>
					</thead>
				</table>
      		</div>
      		<div class="modal-footer">
        		<button type="button" class="btn btn-primary btn-100" data-dismiss="modal" data-dismiss="modal">Cancelar</button>
		        <button type="button" id="btnOkAsignar" class="btn btn-primary btn-100" data-dismiss="modal">Aceptar</button>
      		</div>
    	</div>
  	</div>
  	</form>
</div>
<div class="modal fade" id="MSCAVE01002" style="width:900px;"></div>
<div class="modal fade" id="MSCAVE01003" style="width:900px;"></div>
<script src="../js/vendor/jquery-validate/jquery.validate.js"></script>
<script src="../js/MSCAVE01001.js"></script> 